From a3f8048877e658493b9147a122fab2c788463591 Mon Sep 17 00:00:00 2001
From: Vega Deftwing <johnathan698@gmail.com>
Date: Thu, 11 Apr 2024 20:21:30 +0000
Subject: [PATCH] Revert xargs changes

---
 .github/ci/crlf.sh    | 2 +-
 .github/ci/rustfmt.sh | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/.github/ci/crlf.sh b/.github/ci/crlf.sh
index ede17c861..69838ce88 100755
--- a/.github/ci/crlf.sh
+++ b/.github/ci/crlf.sh
@@ -4,7 +4,7 @@
 
 set -euo pipefail
 
-FILES_WITH_CRLF=$(find  ! -path "./.git/*" -not -type d | xargs -0 file -N | (grep " CRLF " || true))
+FILES_WITH_CRLF=$(find  ! -path "./.git/*" -not -type d | xargs file -N | (grep " CRLF " || true))
 
 if [ -z "$FILES_WITH_CRLF" ]; then
   echo -e "No files with CRLF endings found."
diff --git a/.github/ci/rustfmt.sh b/.github/ci/rustfmt.sh
index 0080f0db8..369239cfe 100755
--- a/.github/ci/rustfmt.sh
+++ b/.github/ci/rustfmt.sh
@@ -9,4 +9,4 @@ export CARGO_HOME=/ci/cache/cargo
 export CARGO_TARGET_DIR=/ci/cache/target
 mv rust-toolchain-nightly.toml rust-toolchain.toml
 
-find . -name '*.rs' -not -path '*target*' | xargs -0 rustfmt --check  --skip-children --unstable-features --edition 2021
+find . -name '*.rs' -not -path '*target*' | xargs rustfmt --check  --skip-children --unstable-features --edition 2021